Part Ellipsoid

From FreeCAD Documentation
Revision as of 19:41, 19 February 2022 by C4e (talk | contribs)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.


Part Ellipsoid

Menu location
Part → Create primitives → Ellipsoid
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Create primitives

Description

The Part Ellipsoid command creates a parametric Ellipsoid solid.

Screenshot of a Part Ellipsoid with default values

The shape produced is limited in FreeCAD to being a solid (optionally truncated) spheroid, the shape you would create by rotating an ellipse around one of its axis. By default it is a Oblate Spheroid, the shape you would create by rotating an ellipse around its minor axis. The parameters can be changed to form a Prolate Spheroid.

The default spheroid in FreeCAD will have a circle for any cross section parallel to the XY plane. The cross section parallel to the other two planes will be an ellipse.

In mathematics, an Ellipsoid would have an elliptical cross section in all three planes.

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Ellipsoid option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Example

Part Ellipsoid scripting example.

A Part Ellipsoid object with the values of the bottom scripting example are shown here.


Properties

  • Radius1, by default the minor radius parallel to the Z-axis,
  • Radius2, by default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
  • Radius3, by default the major radius parallel to the YZ plane, it is also the maximum radius of the angular cross section
  • Angle1, lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
  • Angle2, upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
  • Angle3, angle of rotation of the elliptical cross section (360 degrees in a full spheroid)



Properties

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

  • DataSupport (LinkList):
  • DataMap Mode:

Base


Ellipsoid

  • DataRadius1 (Length): By default the minor radius parallel to the Z-axis,
  • DataRadius2 (Length): By default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
  • DataRadius3 (Length): By default the major radius parallel to the YZ plane, it is also the maximum radius of the angular cross section
  • DataAngle1 (Angle): Lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
  • DataAngle2 (Angle): Upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
  • DataAngle3 (Angle): Angle of rotation of the elliptical cross section (360 degrees in a full spheroid)

Scripting

A Part Ellipsoid is created with the addObject() method of the document.

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where myEllipsoid is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

ellipsoid.Label = "new myEllipsoidName"

You can access and modify attributes of the ellipsoid object. For example, you may wish to modify the three radii and the three angles of the ellipsoid.

ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300

The result will be a part of an ellipsoid.

You can change its placement and orientation with:

ellipsoid.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(15, 0, 20))